FREEFOAM-FOAMTOENSIGHTPARTS(1)

NAME
freefoam-foamToEnsightParts - Translates OpenFOAM data to Ensight format. An Ensight part is created for each cellZone and patch.

SYNOPSIS

freefoam foamToEnsightParts [-index <start>] [-latestTime] [-noZero] [-srcDoc] [-noMesh] [-doc] [-time <time>] [-constant] [-ascii] [-case <dir>] [-help]

DESCRIPTION

TODO write detailed description

OPTIONS

-ascii
    Write Ensight data in ASCII format instead of "C Binary"

-noZero
    Exclude the often incomplete initial conditions.

-index <start>
    Ignore the time index contained in the time file and use a simple indexing when creating the Ensight/data/## files.

-noMesh
    Suppress writing the geometry. Can be useful for converting partial results for a static geometry.

-case <dir>
    Case directory.

-constant
    Include the constant directory.

-latestTime
    Only apply to the latest time step.

-time <time>
    Apply only to specified time.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

    • no parallel data.

    • writes to Ensight directory to avoid collisions with foamToEnsight.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.